from flask import Flask
from flask_restful import Api

from modules.KF3.database import Database as KF3DB
from modules.Kingdom.database import Database as KFKDB
from modules.proxy import AgreementProxy, LaunchProxy, UpdateProxy

app = Flask(__name__)
app.config['JSON_AS_ASCII'] = False
app.databases = {}

api = Api(app)

api.add_resource(LaunchProxy, "/DMM/launch")
api.add_resource(UpdateProxy, "/DMM/filelist", "/DMM/update")
api.add_resource(AgreementProxy, "/DMM/agreement")
KF3DB(api)
KFKDB(api)

if __name__ == '__main__':
    app.run(host='127.0.0.1', port=8080, debug=True)