from flask_restful import Resource
from flask import current_app as app
from flask import request
import json

class KF3_Friend(Resource):
    def get(self, id:int):
        from ..database import Database
        db : Database = app.databases["KF3"]

        if "wiki" in request.args:
            result = db.get_chara_wiki(id)

            response = app.response_class(
                response=result,
                status=200,
                mimetype='text/plain'
            )
        else:
            result = db.get_chara(id)
            result = json.dumps(result, ensure_ascii=False, indent=1)

            response = app.response_class(
                response=result,
                status=200,
                mimetype='application/json'
            )

        response.headers.add("Access-Control-Allow-Origin", "*")
        return response 