import json
from flask_restful import Resource
from flask import current_app as app

class KF3_Items(Resource):
    def get(self):
        from ..database import Database
        db : Database = app.databases["KF3"]

        result = []
        for value in db.itemCommon.values():
            result.append({"id": value["id"], "name": value["name"], "iconName" : value["iconName"], "flavorText" : value["flavorText"]})

        response = app.response_class(
            response=json.dumps(result, ensure_ascii=False, indent=1),
            status=200,
            mimetype='application/json'
        )
        response.headers.add("Access-Control-Allow-Origin", "*")

        return response   