import json
from flask_restful import Resource
from flask import current_app as app, jsonify

class Kingdom_Items(Resource):
    def get(self):
        db = app.databases["Kingdom"]
        result = []
        for key in db.kfk_en_item.indexed_data.keys():
            new_value = db.kfk_en_item.indexed_data[key]
            new_value["id"] = key
            result.append(new_value)

        result = sorted(result, key=lambda f: f["id"])
        
        response = app.response_class(
            response=json.dumps(result, ensure_ascii=False, indent=1),
            status=200,
            mimetype='application/json'
        )
        response.headers.add("Access-Control-Allow-Origin", "*")

        return response   