from flask_restful import Resource
from flask import current_app as app, request, Request

import requests

def relayRequest(user_request : Request, url, headers):
    with requests.Session() as session:
        requests.utils.add_dict_to_cookiejar(session.cookies, user_request.cookies)
        response = session.post(url, headers=headers, data=request.data)
        
        result = app.response_class(
                response=response.text,
                status=200,
                mimetype='application/json'
        )
        result.headers.add("Access-Control-Allow-Origin", "*")

    return result

class LaunchProxy(Resource):
    def post(self):
        url = "https://apidgp-gameplayer.games.dmm.com/v5/launch/cl"
        headers = {"User-Agent": "DMMGamePlayer5-Win/5.3.12 Electron/32.1.0",
                "Client-App": "DMMGamePlayer5",
                    "Client-version": "5.3.12",
                    "Content-Type": "application/json"}

        return relayRequest(request, url, headers) 
        
class UpdateProxy(Resource):
    def post(self):
        url = "https://apidgp-gameplayer.games.dmm.com/v5/r2/launch/cl"
        headers = {"User-Agent": "DMMGamePlayer5-Win/5.3.12 Electron/32.1.0",
                "Client-App": "DMMGamePlayer5",
                    "Client-version": "5.3.12",
                    "Content-Type": "application/json"}

        return relayRequest(request, url, headers) 
    
class AgreementProxy(Resource):
    def post(self):
        url = "https://apidgp-gameplayer.games.dmm.com/v5/agreement/confirm/client"
        headers = {"User-Agent": "DMMGamePlayer5-Win/5.3.12 Electron/32.1.0",
                "Client-App": "DMMGamePlayer5",
                    "Client-version": "5.3.12",
                    "Content-Type": "application/json"}

        return relayRequest(request, url, headers) 